Jump to content

Cannot install PDN


Sha Lun
 Share

Recommended Posts

I cannot install Paint.NET. Installer just shows me this empty error message box and closes after clicking OK. This message box is shown by SetupFrontEnd.exe as I determined.

What can I do to fix this error or determine what's wrong with it?

Maybe i need to show Regmon and Filemon logs?

21424_22f973f3b059796c421239f0366be66d

21424_25ae3ec217e787606966a372797dd954

21424_14f1b91224dd1e6872c43c2c83118d94

Link to comment
Share on other sites

No, there's Paint.NET.3.36.zip and inside of it - Paint.NET.3.36.exe

When I start Paint.NET.3.36.exe, Nullsoft Installation System extracts everything needed to "C:\Documents and Settings\Admin\Local Settings\Temp\PdnSetup" and "C:\Documents and Settings\Admin\Local Settings\Temp\PdnSetup2". Then it runs MirrorShim.exe, etc. In the end SetupFrontEnd.exe shows me this empty error messagebox and that's all.

See that does not sound right. Nullsoft should not be extracting the contents. You should be running Paint.NET.3.36.exe as a program and then getting the Paint.NET install screen and letting the install screen install Paint.NET.

Did you try re-downloading it ?

Can you right click it and go run as and then put in the administrator account and see if that will force it to understand it's a program ?

Your on vista right ?

Link to comment
Share on other sites

and I'm already on administrator account.

Not what I asked you to try. I to am a administrator on my system.

What I wanted you to try was right clicking on the Paint.NET exe file and going Run As.

I think I may know the problem. Your not getting to the install screen that needs .NET to run. The screen your getting to on my computer is done and over with in 0.02 of a second.

Download This: .NET Framework 3.5 SP1

That the recommend version of .NET that you should be using.

Good Luck

Link to comment
Share on other sites

Microsoft .NET Compact Framework 1.0 SP3 Developer

Microsoft .NET Compact Framework 2.0

Microsoft .NET Framework 1.1 Russian Language Pack

Microsoft .NET Framework 2.0 Service Pack 2

Microsoft .NET Framework 3.0 Service Pack 2

Microsoft .NET Framework SDK (English) 1.1

That's all what I have. And I can't install 3.5 SP1. Don't know why.

But PDN 3.22 worked fine, it was placed on a computer before I start working till I try to reinstall it...

Link to comment
Share on other sites

if you can't install .NET Framework 3.5 then that may mean you have a problem with .NET

Also why do you have Microsoft .NET Framework SDK (English) 1.1 and then Microsoft .NET Framework 1.1 Russian Language Pack.

Your going to want to try repairing .NET Framework as Paint.NET V4 will need 3.5 or higher to run.

Link to comment
Share on other sites

  • 1 month later...

Hey, you guys, how great is that - i've been fighting with NET Framework for many months and couldn't figure out why i couldn't update the thing from 2.0 nor could i install any programs related to the NET Framework protocol, least of all Paint.NET.

I was following your thread and entered your ". . . dll" in the command prompt and 'bingo' all was right with the world again. I was able to upgrade N.F and install Paint.net.

Never ceases to amaze me the things you can find on the net - especially in forums such as this one.

Thanks again - now i don't have to ask you guys to solve my problem IT'S SOLVED!!

Thanks

New MEmber,

Donn

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...